function Optimize_EE()

tic 

l = 4.6;
l1 = l*10;
toudB = [0]; % k - 4th dimension
alpha = 0:0.25:1; % u - 3rd dimension
beta = 0:0.125:1; % m - 2nd dimension
rodB = -10:2:20;  % n - 1st dimension
ro1dB = -10:2:20; % n - 1st dimension

if(exist('EEData.mat','file'))
    load('EEData.mat','SimInProgress');
    if(SimInProgress)
        contd = input('Simulation in progress.\nDo you want to continue?','s');
    else
        contd = 'n';
    end
else
    SimInProgress = false;
    contd = 'n';
end

if(contd == 'n')
    k = 1;
    u = 1;
    m = 1;
    n = 1;
    AreaSE = zeros(length(rodB),length(beta), length(alpha), length(toudB));
    AreaPwrConsmp = zeros(length(rodB),length(beta), length(alpha), length(toudB));
    EE = zeros(length(rodB),length(beta), length(alpha), length(toudB));
    ctr = 1;
    No_ite = length(rodB)*length(beta)*length(alpha)*length(toudB);
    SimInProgress = true;
    disp('Simulation started from begining.');
    save('EEData.mat');
else
    load('EEData.mat');
end

while(k <= length(toudB))
    while(u <= length(alpha))
        while(m <= length(beta))
            while(n <= length(rodB))
                [AreaSE(n,m,u,k), AreaPwrConsmp(n,m,u,k)] = EnergyEfficiency_Sim(l,l1,beta(m),alpha(u),toudB(k),rodB(n),ro1dB(n));
                EE(n,m,u,k) = AreaSE(n,m,u,k)/AreaPwrConsmp(n,m,u,k);
                disp([num2str(ctr/No_ite*100) '% done']); toc;
                fprintf('\n');
                ctr = ctr+1;
                n = n+1;
                save('EEData.mat');
            end
            m = m+1;
            n = 1;
        end
        u = u+1;
        m = 1;
    end
    k = k+1;
    u = 1;
end
disp('Simulation complete');

end