function MergeAndAverageLogRateData()

P_dBm = [10 30];
LambdaPrime = [1 3 6 10];

% Clog_xxxyyy1 --> {rho/rho', beta, alpha, tau, lambda', P_dBm}
%                      16      9      9     3      4       2
Clog_maccsf1 = zeros(16, 9, 9, 3, 4, 2);
Clog_macusf1 = zeros(16, 9, 9, 3, 4, 2);
Clog_piccsf1 = zeros(16, 9, 9, 3, 4, 2);
Clog_picusf1 = zeros(16, 9, 9, 3, 4, 2);
for x = 1:length(P_dBm)
    for y = 1:length(LambdaPrime)
        load(['LogRateData P_prime ' num2str(P_dBm(x)) ' lambda_prime ' num2str(LambdaPrime(y))]);
        Clog_maccsf1(:, :, :, :, y, x) = Clog_maccsf;
        Clog_macusf1(:, :, :, :, y, x) = Clog_macusf;
        Clog_piccsf1(:, :, :, :, y, x) = Clog_piccsf;
        Clog_picusf1(:, :, :, :, y, x) = Clog_picusf;
    end
end
Clog_maccsf = Clog_maccsf1;
Clog_macusf = Clog_macusf1;
Clog_piccsf = Clog_piccsf1;
Clog_picusf = Clog_picusf1;

save('LogRateData_6D.mat','Clog_maccsf','Clog_macusf','Clog_piccsf','Clog_picusf',...
    'rodB','ro1dB','beta','alpha','toudB','LambdaPrime','P_dBm','l');
end